.. -*- mode: rst -*-

SysIdentPy
============

sysidentpy is a Python module for System Identification using NARMAX models built on top of numpy and
is distributed under the 3-Clause BSD license.

The project was started in by Wilson R. L. Junior, Luan
Pascoal C. Andrade and Samir A. M. Martins as a project for System Identification
discipline. Samuel joined early in 2019 and since then have contributed.

Website (coming soon): http://sysidentpy.org

Examples
--------
The examples directory has several Jupyter notebooks presenting basic tutorials of how to use the package and some specific applications of sysidentpy. Try it out!

Requirements
------------

sysidentpy requires:

- Python (>= 3.6)
- NumPy (>= 1.5.0) for all numerical algorithms
- Matplotlib >= 1.5.2 for static plotiing and visualizations

==============   ===================
Platform         Status
==============   ===================
Linux            OK
Windows x64      OK
==============   ===================

**SysIdentPy do not to support Python 2.7.**

A few examples require pandas >= 0.18.0. However, it is not required to use sysidentpy.

Installation
------------

The easiest way to get sysidentpy running is to install it using ``pip``   ::

    pip install sysidentpy

We will made it available at conda repository as soon as possible.

Changelog
---------

See the `changelog <https://github.com/wilsonrljr/sysidentpy.whats_is_new.md>`__
for a history of notable changes to sysidentpy.

Development
-----------

We welcome new contributors of all experience levels. The sysidentpy community goals are to be helpful, welcoming, and effective.

Important links
---------------

- Official source code repo: https://github.com/wilsonrljr/sysidentpy
- Download releases: https://pypi.org/project/sysidentpy/


Source code
-----------

You can check the latest sources with the command::

    git clone https://github.com/wilsonrljr/sysidentpy.git

Project History
---------------

The project was started by Wilson R. L. Junior, Luan Pascoal and Samir A. M. Martins as a project for System Identification discipline. Samuel joined early in 2019 and since then have contributed.

The initial purpose was to learn the python language. Over time, the project has matured to the state it is in today.

The project is currently maintained by its creators and looking for
contributors.

Communication
~~~~~~~~~~~~~

- Discord server: https://discord.gg/8eGE3PQ
- Website(soon): http://sysidentpy.org

Citation
~~~~~~~~

More information coming soon.


Inspiration
~~~~~~~~~~~

The documentation and structure (even this section) is openly inspired by sklearn, einsteinpy, and many others as we used (and keep using) them to learn.